<?php
/**
 * @package PSX-Daily-Quotes
 * @version 1.0
 */
/*
Plugin Name: Get Country From IP
Plugin URI: 
Description: This plugin displays the name and flag of the country in a widget on your website
Author: Adeel Sarfraz
Version: 1.0
Author URI: https://www.adeelsarfaraz.com
Text Domain: get-country-from-ip
*/

function asarfraz_gcfip_load_widget() {
    register_widget( 'asarfraz_gcfip_widget' );
}
add_action( 'widgets_init', 'asarfraz_gcfip_load_widget' );

class asarfraz_gcfip_widget extends WP_Widget {

	function __construct() {
		parent::__construct('asarfraz_gcfip_load_widget', __('Get Country From IP', 'asarfraz_gcfip_widget_domain'), array( 'description' => __( 'Displays the name and flag of the visitor\'s country from IP', 'asarfraz_gcfip_widget_domain' ), ) );
	}
	 
	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );
		echo $args['before_widget'];
		if ( ! empty( $title ) )
		echo $args['before_title'] . $title . $args['after_title'];
		echo asarfraz_gcfip_display_country();
		echo $args['after_widget'];
	}
			 
	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		}
		else {
			$title = __( 'Get Country From IP', 'asarfraz_gcfip_widget_domain' );
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
		<?php  
	}
		 
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		return $instance;
	}
	
} 

function asarfraz_gcfip_display_country() {
	if (is_admin()) {
		// do nothing 
	}
	else {

		$response = wp_remote_post( 'https://www.adeelsarfaraz.com/ip/', array(	'method'      => 'POST',
																				'timeout'     => 45,
																				'headers'     => array(),
																				'body'        => array(
																					'ipaddr' => $_SERVER['REMOTE_ADDR']
																				),
																				'cookies'     => array()
																				)
		);
		if ( is_wp_error( $response ) ) {
			$error_message = $response->get_error_message();
			echo "Something went wrong: $error_message";
		} else {
			echo $response['body'];
		}	
		
	}	
}